Bug 376831 - Read from /proc/ppc64/rtas/error_log does not honor O_NONBLOCK
Read from /proc/ppc64/rtas/error_log does not honor O_NONBLOCK
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
ppc64 Linux
low Severity low
: rc
: ---
Assigned To: Vitaly Mayatskikh
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 20:57 EST by CAI Qian
Modified: 2009-01-20 15:26 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:26:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.37 KB, text/plain)
2008-09-12 15:30 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 47845 None None None Never

  None (edit)
Description CAI Qian 2007-11-11 20:57:33 EST
Description of problem:
After open(2) on /proc/ppc64/rtas/error_log with O_NONBLOCK flag, read(2) the
file is blocked, and waited on an event.

Version-Release number of selected component (if applicable):
RHEL5.1-Server

How reproducible:
Always

Steps to Reproduce:
1. open ("/proc/ppc64/rtas/error_log", O_RDONLY | O_NONBLOCK);
2. read (fd, buf, 4096); 
  
Actual results:
read(2) is blocked.

Expected results:
read(2) shall return EAGAIN.
Comment 1 Vitaly Mayatskikh 2008-07-10 09:07:50 EDT
RHEL-3 and RHEL-4 have the same problem, btw
Comment 2 Linda Wang 2008-07-31 14:13:42 EDT
patch posted on 7/10. dev ack. 

Request exception since this bug was found by QE in 5.2 testing.
Comment 3 RHEL Product and Program Management 2008-07-31 14:22:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 IBM Bug Proxy 2008-09-12 15:30:37 EDT
Created attachment 316612 [details]
Proposed patch
Comment 5 Brad Peters 2008-09-12 15:49:55 EDT
For completeness - Vitaly had posted upstream here:

http://post-office.corp.redhat.com/archives/rhkernel-list/2008-July/msg00225.html
Comment 6 Brad Peters 2008-09-12 15:50:32 EDT
Last link was RH-internal; here's the upstream post:

http://lkml.org/lkml/2008/7/4/112
Comment 9 Don Zickus 2008-10-29 12:17:37 EDT
in kernel-2.6.18-121.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 13 errata-xmlrpc 2009-01-20 15:26:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.